error install Aquarius

Use this Forum to find information on, or ask a question about, NASA Earth Science data.
Post Reply
nada31
Posts: 37
Joined: Tue Sep 26, 2017 9:30 am America/New_York

error install Aquarius

by nada31 » Fri Jan 25, 2019 9:12 pm America/New_York

in the OCSSW interface
I made Aquarius Update Data processor I had this error
Installing src (5 of 18)
Votre information de configuration indique de fusionner avec la référence 'refs/heads/v7.5'
du serveur distant, mais cette référence n'a pas été récupérée.
Error - Could not run "cd /home/mounir/seadas-7.4/ocssw/build; git pull --progress -q > /dev/null"

system : ubuntu 16.4
seadas version 7.5
git version xx.xxx.xx.xx.g16a465bc01

Tags:

nada31
Posts: 37
Joined: Tue Sep 26, 2017 9:30 am America/New_York

error install Aquarius

by nada31 » Mon Jan 28, 2019 8:43 pm America/New_York

in the OCSSW interface
I made Aquarius Data Processor Update I had this error
Installing src (5 of 18)
Your configuration information indicates to merge with reference 'refs / heads / v7.5'
from the remote server, but this reference has not been retrieved.
Error - Could not run "cd /home/mounir/seadas-7.4/ocssw/build; git pull --progress -q> / dev / null"

system: ubuntu 16.4
seadas version 7.5
git version xx.xxx.xx.xx.g16a465bc01

OB.DAAC - SeanBailey
User Services
User Services
Posts: 1278
Joined: Wed Sep 18, 2019 6:15 pm America/New_York
Answers: 1

error install Aquarius

by OB.DAAC - SeanBailey » Tue Jan 29, 2019 9:43 am America/New_York

There was a change from v7.4 to v7.5 for the source (i.e. build) tree.  The build directory is now called ocssw-src
The old build tree was not updated to v7.5, so will not exist.  The installer script has logic to upgrade from v7.4 to v7.5 structure so I'm wondering why that didn't happen for you.
How were you installing?  GUI or command line?  Can you provide your exact steps?

Sean

nada31
Posts: 37
Joined: Tue Sep 26, 2017 9:30 am America/New_York

error install Aquarius

by nada31 » Sun Feb 03, 2019 1:08 am America/New_York

hi ;
I installed seadas V7.4 and then installed by the OCSSW interface (update data processors) / Aqua and Seawifs and then I made an update to V7.5
and when I checked the Aquarius box I got the error

OB.DAAC - SeanBailey
User Services
User Services
Posts: 1278
Joined: Wed Sep 18, 2019 6:15 pm America/New_York
Answers: 1

error install Aquarius

by OB.DAAC - SeanBailey » Mon Feb 04, 2019 8:49 am America/New_York

Well, following those steps...works for me.
The simplest thing to do is remove (or move out of the way) the $OCSSWROOT/build tree (which is what the v7.5 version of the installer script does -but apparently didn't for you).

Sean

gnwiii
Posts: 665
Joined: Fri Jan 29, 2021 5:51 pm America/New_York
Answers: 2

error install Aquarius

by gnwiii » Mon Feb 04, 2019 11:09 am America/New_York

As Sean remarks, your steps work for others.   Problems with file ownership, attributes, and permissions can cause problems that others can't reproduce.   These problems can occur if some steps were run using the "sudo" command, or if some files are stored on a foreign filesystem such as a Windows USB drive or NAS.

Post Reply